{% extends 'bases/public.html.twig' %}

{% block title %}zeue.net | Where OSS is Put to Work!{% endblock %}

{% block stylesheets %}
{{ parent() }}
<style media="screen">
  .normalContainer {
    padding: 0;
  }

  .disabled {
    color: #bbb !important;
  }

  .optionCard {
    margin-right: auto;
    margin-left: auto;
    box-shadow: none;
    max-width: 25rem;
  }

  .card-text {
    text-align: justify;
  }

  .freeContainer {
    padding: 1rem;
  }
  .freeContainer > h3 {
    margin-top: 0;
  }

  .yes9 {
    font-size: large;
  }

  .uu3 {
    padding: 0.5rem !important;
  }
</style>
{% endblock %}

{% block body %}
  {{ parent() }}
  <div class="container normalContainer card">
    <div class="jumbotron jumbotron-fluid center bg-primary text-white">
      <div class="container">
        <h1><b>Web Hosting</b></h1>
        <p class="lead">A more personal touch to web hosting, without compromising performance</p>
      </div>
    </div>
    <div class="container">
      <ul class="nav nav-pills nav-pills-primary">
        <li class="nav-item"><a class="nav-link active" href="#simple" data-toggle="tab">Flat</a></li>
        <li class="nav-item"><a class="nav-link disabled" href="#" data-toggle="tooltip" data-placement="top" title="Coming soon... Hit me up for early access now! &#x1F642;">Dynamic</a></li>
        <li class="nav-item"><a class="nav-link disabled" href="#" data-toggle="tooltip" data-placement="top" title="Coming soon... Hit me up for early access now! &#x1F642;">Bulletproof</a></li>
      </ul>
      <hr>
      <div class="tab-content tab-space">
        <div class="tab-pane active" id="simple">
          <h3><b>"Flat" Hosting</b>, what does that mean?</h3>
          <p>"Flat" webhosting refers to when an application doesn't require anything more than just a runtime or static environment to function. This can be as simple as just an apache2 server serving HTML files or as technically complex as a PHP server with web-cgi support. As long as the environment is all that your app needs, that's without databasing or proxy-routing, "Flat" webhosting is all that you need. For more dependant applications, see my "Dynamic" webhosting solution above! &#x1F642;</p>
          <br>
          <h3>What about some <b>technical specifications</b>?</h3>
          <p>Sure! Here's my current environment offerings:</p>
          <div class="row center">
            <div class="col">
              <div class="card optionCard">
                <div class="icon icon-primary">
                  <i class="icon-apache medium" data-toggle="tooltip" data-placement="top" title="Apache2"></i>
                  <i class="icon-nginx medium" data-toggle="tooltip" data-placement="top" title="NGINX"></i>
                  <i class="icon-php medium" data-toggle="tooltip" data-placement="top" title="PHP"></i>
                </div>
                <div class="card-body">
                  <h4 class="card-title">"Classic"</h4>
                  <ul>
                    <li><b>Stack:</b> Apache2, NGINX, and PHP 7.X+</li>
                    <li><b>OS:</b> Alpine Linux 3.X+</li>
                    <li><b>Hardware:</b> Docker-in-Kubernetes</li>
                    <li><b>Ports:</b> 80, 8080, 443</li>
                  </ul>
                </div>
              </div>
            </div>
            <div class="col">
              <div class="card optionCard">
                <div class="icon icon-primary">
                  <i class="icon-nodejs medium" data-toggle="tooltip" data-placement="top" title="NodeJS"></i>
                  <i class="icon-npm medium" data-toggle="tooltip" data-placement="top" title="npm"></i>
                </div>
                <div class="card-body">
                  <h4 class="card-title">"Modern JS"</h4>
                  <ul>
                    <li><b>Stack:</b> NodeJS 12.X+ and npm 6.X+</li>
                    <li><b>OS:</b> Alpine Linux 3.X+</li>
                    <li><b>Hardware:</b> Docker-in-Kubernetes</li>
                    <li><b>Ports:</b> 80, 3000, 443</li>
                  </ul>
                </div>
              </div>
            </div>
            <div class="col">
              <div class="card optionCard">
                <div class="icon icon-primary">
                  <i class="icon-go medium" data-toggle="tooltip" data-placement="top" title="Go, the fastest web-ready language I've ever worked with"></i>
                  <img class="emoji medium" src="https://caddyserver.com/resources/images/favicon.png" data-toggle="tooltip" data-placement="top" title="Caddy, only the best web server! &#x1F609;" href="https://caddyserver.com" target="_blank">
                </div>
                <div class="card-body">
                  <h4 class="card-title">"Zeue's Fave"</h4>
                  <ul>
                    <li><b>Stack:</b> Go 1.13.X+ and Caddy 1.X+</li>
                    <li><b>OS:</b> Alpine Linux 3.X+</li>
                    <li><b>Hardware:</b> Docker-in-Kubernetes</li>
                    <li><b>Ports:</b> 80, 443</li>
                  </ul>
                </div>
              </div>
            </div>
            <div class="w-100"></div>
            <div class="col">
              <p class="bg-warning"><i><b>Don't see your prefered stack?</b> Don't worry! If it runs within Docker then I can accomodate! &#x1F609;</i></p>
            </div>
          </div>
          <br>
          <h3>How much does this <b>cost</b>?</h3>
          <br>
          <div class="row">
            <div class="col">
              <div class="bg-primary text-white">
                <div class="card-body uu3">
                  <div class="icon">
                      <i class="material-icons">home</i>
                      <span class="text-white right yes9">£5/month*</span>
                  </div>
                  <h5 class="card-title text-white">Tier 1 - "Personal"</h3>
                  <p class="card-description text-white">
                      Absolutely barebones sites that don't need anything fancy, essentially low-priority static sites with very low traffic processing requirements.
                  </p>
                  <a href="/pay?r=WHFT1" class="btn btn-white btn-round text-black">Choose Plan</a>
                </div>
              </div>
            </div>
            <div class="col">
              <div class="bg-primary text-white">
                <div class="card-body uu3">
                  <div class="icon">
                      <i class="material-icons">business</i>
                      <span class="text-white right yes9">£32/month*</span>
                  </div>
                  <h5 class="card-title text-white">Tier 2 - "Business"</h3>
                  <p class="card-description text-white">
                      Dedicated resources provide a big boost in capacity and power, this package is perfect for startups and online businesses that are looking to grow.
                  </p>
                  <!-- <a href="/pay?r=WHFT1" class="btn btn-white btn-round text-black">Choose Plan</a> -->
                </div>
              </div>
            </div>
            <div class="col">
              <div class="bg-primary text-white">
                <div class="card-body uu3">
                  <div class="icon">
                      <i class="material-icons">account_balance</i>
                      <span class="text-white right yes9">£98/month*</span>
                  </div>
                  <h5 class="card-title text-white">Tier 3 - "Enterprise"</h3>
                  <p class="card-description text-white">
                      Highly-available processing clusters and load balancing nodes ensure 100% uptime no matter what the network is hit with. This is the ultimate "flat" hosting package.
                  </p>
                  <!-- <a href="/pay?r=WHFT1" class="btn btn-white btn-round text-black">Choose Plan</a> -->
                </div>
              </div>
            </div>
            <div class="w-100"></div>
            <div class="col center">
              <br><br>
              <p class="bg-info text-white"><i><b>* I offer bulk discounts!</b> Choose a plan to see the available billing cycles.</i></p>
            </div>
          </div>
        </div>
        <div class="tab-pane active" id="dynamic">
        </div>
        <div class="tab-pane active" id="bulletproof">
        </div>
        <br><hr><br>
        <div class="freeContainer bg-primary text-white">
          <h3>But wait, <b>you can get it for free!</b></h3>
          <p>I believe that any good cause should be able to get onto the internet without having to deal with the hassle of paid memberships and hosting subscriptions. That's why I have always, and will continue to, provide my services to any project free of charge, as long as they fit within the following criteria:</p>
          <hr class="white">
          <div class="row">
            <div class="col">
              <b>For Open Source Software:</b>
              <ol>
                <li>Are actively being maintained</li>
                <li>Allow contribution to their project</li>
                <li>Are using GitHub, GitLab, or BitBucket</li>
              </ol>
            </div>
            <div class="col">
              <b>For Charities and Events:</b>
              <ol>
                <li>Are registered as non-profit</li>
                <li>Publish financial information</li>
                <li>Don't promote anything commercial</li>
              </ol>
            </div>
            <div class="col">
              <b>For Creators and Artists:</b>
              <ol>
                <li>Are actively working on their art</li>
                <li>Publish their art to a public space</li>
                <li>Adhere to copyright and fair-use laws</li>
              </ol>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
{% endblock %}

{% block javascripts %}
  {{parent()}}
  <script type="text/javascript">
    $(function () {
      $('[data-toggle="tooltip"]').tooltip()
    })
  </script>
{% endblock %}
